Subject: Re: HDF newbie needs help. . .

From: [email-masked] (Tomasz Plewa)
Date: 7 Nov 1995 10:30:20 GMT

In article <[email-masked]>, [email-masked] (Mike Zulauf) writes:

|> I would like to begin using HDF, but I am having problems
|> getting started.  First off, is it possible to compile and
|> use the HDF routines only with a FORTRAN compiler?  I have
|> no C-compiler at home, where I do most of my work.

You must have C compiler to create HDF library (you may use gcc).

|> I downloaded the source code, and have briefly looked through
|> some of it.  It seems as if many of the FORTRAN routines make
|> calls to C routines.  Is this right?

No - C subroutines have their Fortran counterparts (well, almost all
of them).

|> And if I want to use
|> certain routines, can I just include them with my source
|> code, or is that not the proper way to use them?

The only thing you may need from the distribution are HDF-specific
include files (hdf.inc, dffunc.inc). To use certain HDF subroutine you
have to call it - see HDF manual (I know that it is rather large but
you really need it to work with HDF).

And there is an official HDF WWW server with newsletters and pointers
to contributed software:

	http://hdf.ncsa.uiuc.edu:8001/

One word of caution based on my own experience with HDF on 3 different
platforms:

	don't try to start with HDF 4.0b1, use HDF 3.3.

Tomek
--
Tuesday, 11:08 MET, 07-Nov-95
_______________________________________________________________________________

 Tomasz Plewa                           Internet: [email-masked]
 Max-Planck-Institut fuer Astrophysik   phone: +49-89-3299 3245/3235 (work/fax)
 Karl-Schwarzschild-Strasse 1                         3206852        (home)
 Postfach 1523                          http://www.MPA-Garching.MPG.DE/~tomek/
 85740 Garching b. Muenchen, Germany           Vacations!!! (dreaming)
_______________________________________________________________________________